#!/bin/bash
# digitec-suitecrm-web Copyright (c) by DIGITEC GmbH 2012

instance=$1
if [ -z "$instance" ]; then
  instance=default
fi

INSTANCES=$(/usr/sbin/ucr search  --key suitecrm/instance |grep database  |cut -d/ -f3 |sort -u)
SUITECRM_DB=$(/usr/sbin/ucr get suitecrm/instance/$instance/database)
rm /usr/lib/univention-directory-listener/system/suitecrm-$instance.py
if [ -z "$SUITECRM_DB" ] ; then
   echo DATABASE name not found in UCR suitecrm/instance/$instance/database
   exit 1
fi
SUITECRM_PATH=$(/usr/sbin/ucr get suitecrm/instance/$instance/path)
if [ -z "$SUITECRM_PATH" ]; then
    SUITECRM_PATH=/var/www/$SUITECRM_DB
fi

ucr unset ucs/web/overview/entries/service/suitecrm-$instance/description/de
ucr unset ucs/web/overview/entries/service/suitecrm-$instance/description
ucr unset ucs/web/overview/entries/service/suitecrm-$instance/icon
ucr unset ucs/web/overview/entries/service/suitecrm-$instance/label/de
ucr unset ucs/web/overview/entries/service/suitecrm-$instance/label
ucr unset ucs/web/overview/entries/service/suitecrm-$instance/link
rm -rf $SUITECRM_PATH
mysql -udebian-sys-maint -p$(grep password /etc/mysql/debian.cnf  |head -1  |sed -e 's/.*= //')  <<EOF
USE mysql;
DELETE FROM db WHERE db="${SUITECRM_DB}";
FLUSH PRIVILEGES;
DROP DATABASE IF EXISTS ${SUITECRM_DB};
EOF

############################################################################################################

if [ "$instance" == "$INSTANCES" ]; then
 echo deleted last suitecrm instance
 rm -f /etc/suitecrm/db.secret
 rm -f /etc/suitecrm/ucsadmin.secret
 mysql -udebian-sys-maint -p$(grep password /etc/mysql/debian.cnf  |head -1  |sed -e 's/.*= //')  <<EOF
USE mysql;
DELETE FROM user WHERE user="suitecrm";
FLUSH PRIVILEGES;
EOF
 a2dissite suitecrm
 /etc/init.d/apache2 reload
fi

